Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdInfoCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPInfoCmd
              com.verisign.epp.codec.emailFwd.EPPEmailFwdInfoCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdInfoCmd

extends EPPInfoCmd

Represents an EPP EmailFwd <info> command that is used to retrieve information associated with a emailFwd. The <emailFwd:info> element MUST contain the following child elements:

- A <emailFwd:name> element that contains the fully qualified emailFwd name for which information is requested. Use `getName` and `setName` to get and set the element.

`EPPEmailFwdInfoResp` is the concrete `EPPReponse` associated with `EPPEmailFwdInfoCmd`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEmailFwdInfoResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPEmailFwdInfoCmd()` `EPPEmailFwdInfoCmd` default constructor.
`EPPEmailFwdInfoCmd(java.lang.String aTransId, java.lang.String aName)` `EPPEmailFwdInfoCmd` constructor that takes the emailFwd name as an argument.
`EPPEmailFwdInfoCmd(java.lang.String aTransId, java.lang.String aName, EPPAuthInfo aAuthInfo)` `EPPEmailFwdInfoCmd` constructor that takes the emailFwd name, authInfo as arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdInfoCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdInfoCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdInfoCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdInfoCmd` with this instance.
`EPPAuthInfo` | `getAuthInfo()` Get authorization information
`java.lang.String` | `getName()` Gets the emailFwd name to get information on.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPEmailFwdInfoCmd`.
`void` | `setAuthInfo(EPPAuthInfo aAuthInfo)` Set authorization information
`void` | `setName(java.lang.String aName)` Sets the emailFwd name to get information on.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEmailFwdInfoCmd

    public EPPEmailFwdInfoCmd()

  `EPPEmailFwdInfoCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

### EPPEmailFwdInfoCmd

    public EPPEmailFwdInfoCmd(java.lang.String aTransId,
                              java.lang.String aName)

  `EPPEmailFwdInfoCmd` constructor that takes the emailFwd name as an argument.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aName` - EmailFwd name to get information on.

### EPPEmailFwdInfoCmd

    public EPPEmailFwdInfoCmd(java.lang.String aTransId,
                              java.lang.String aName,
                              EPPAuthInfo aAuthInfo)

  `EPPEmailFwdInfoCmd` constructor that takes the emailFwd name, authInfo as arguments.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aName` - EmailFwd name to get information on.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPEmailFwdInfoCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPEmailFwdMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPEmailFwdInfoCmd` instance.

  Specified by:
    `doEncode` in class `EPPInfoCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPEmailFwdInfoCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPEmailFwdInfoCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPEmailFwdInfoCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPInfoCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPEmailFwdInfoCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### getName

    public java.lang.String getName()

  Gets the emailFwd name to get information on.

  Returns:
    EmailFwd Name `String` instance if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the emailFwd name to get information on.

  Parameters:
    `aName` - EmailFwd Name

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Get authorization information

  Returns:
    Authorization information if defined; `null` otherwise;

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo aAuthInfo)

  Set authorization information

  Parameters:
    `aAuthInfo` - EPPAuthInfo

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPEmailFwdInfoCmd` with this instance.

  Overrides:
    `equals` in class `EPPInfoCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdInfoCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPEmailFwdInfoCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.